List repository contributors.

Request

GET

https://api.sourcecraft.tech/repos/{org_slug}/{repo_slug}/contributors

Path parameters

Name

Description

org_slug

Type: string

Example: ``

repo_slug

Type: string

Example: ``

Query parameters

Name

Description

page_size

Type: string<uint64>

The maximum number of contributors to return. The service may return fewer than
this value. If unspecified, at most 20 contributors are returned.

Example: ``

page_token

Type: string

A page token received from a previous call.
Provide this to retrieve the subsequent page.

When paginating, all other parameters must match the call that provided
the page token.

Example: ``

Responses

200 OK

A successful response.

Body

application/json
{
  "contributors": [
    {
      "id": "example",
      "display_name": "example",
      "username": "example",
      "bio": "example",
      "location": {
        "country": "example",
        "city": "example"
      },
      "timezone": {
        "iana_timezone": "example"
      },
      "workplace": {
        "company": "example",
        "position": "example"
      },
      "links": [
        {
          "link": "example",
          "type": "default"
        }
      ],
      "status": {
        "message": "example",
        "emoji": "example"
      },
      "avatar": {
        "url": "example"
      },
      "background_image": null,
      "visibility": "private"
    }
  ],
  "next_page_token": "example"
}

Name

Description

contributors

Type: UserProfile[]

Example
[
  {
    "id": "example",
    "display_name": "example",
    "username": "example",
    "bio": "example",
    "location": {
      "country": "example",
      "city": "example"
    },
    "timezone": {
      "iana_timezone": "example"
    },
    "workplace": {
      "company": "example",
      "position": "example"
    },
    "links": [
      {
        "link": "example",
        "type": "default"
      }
    ],
    "status": {
      "message": "example",
      "emoji": "example"
    },
    "avatar": {
      "url": "example"
    },
    "background_image": null,
    "visibility": "private"
  }
]

next_page_token

Type: string

A token, which can be sent as page_token to retrieve the next page.
If this field is omitted, there are no subsequent pages.

Example: example

v1.Location

Name

Description

city

Type: string

Example: example

country

Type: string

Example: example

Example
{
  "country": "example",
  "city": "example"
}

Timezone

Name

Description

iana_timezone

Type: string

Example: example

Example
{
  "iana_timezone": "example"
}

Workplace

Name

Description

company

Type: string

Example: example

position

Type: string

Example: example

Example
{
  "company": "example",
  "position": "example"
}

Link.LinkType

Type: string

Enum: default, social_network, homepage, email, telegram

Name

Description

link

Type: string

Example: example

type

Type: Link.LinkType

Enum: default, social_network, homepage, email, telegram

Example
{
  "link": "example",
  "type": "default"
}

ProfileStatus

Name

Description

emoji

Type: string

Example: example

message

Type: string

Example: example

Example
{
  "message": "example",
  "emoji": "example"
}

Image

Name

Description

url

Type: string

Example: example

Example
{
  "url": "example"
}

ProfileVisibility

Type: string

Enum: private, public

UserProfile

Name

Description

avatar

Type: Image

Example
{
  "url": "example"
}

background_image

Type: Image

Example
{
  "url": "example"
}

bio

Type: string

Example: example

display_name

Type: string

Example: example

id

Type: string

Example: example

links

Type: Link[]

Example
[
  {
    "link": "example",
    "type": "default"
  }
]

location

Type: v1.Location

Example
{
  "country": "example",
  "city": "example"
}

status

Type: ProfileStatus

Example
{
  "message": "example",
  "emoji": "example"
}

timezone

Type: Timezone

Example
{
  "iana_timezone": "example"
}

username

Type: string

Example: example

visibility

Type: ProfileVisibility

Enum: private, public

workplace

Type: Workplace

Example
{
  "company": "example",
  "position": "example"
}
Example
{
  "id": "example",
  "display_name": "example",
  "username": "example",
  "bio": "example",
  "location": {
    "country": "example",
    "city": "example"
  },
  "timezone": {
    "iana_timezone": "example"
  },
  "workplace": {
    "company": "example",
    "position": "example"
  },
  "links": [
    {
      "link": "example",
      "type": "default"
    }
  ],
  "status": {
    "message": "example",
    "emoji": "example"
  },
  "avatar": {
    "url": "example"
  },
  "background_image": null,
  "visibility": "private"
}

default

Both Client Errors (4xx) and Server Errors (5xx) are serialized into this scheme

Body

application/json
{
  "error_code": "example",
  "message": "example",
  "request_id": "example",
  "details": null
}

Name

Description

details

Type: unknown

Example: null

error_code

Type: string

Example: example

message

Type: string

Example: example

request_id

Type: string

Example: example